## com.sun.grizzly
Class ConnectorInstanceHandler.ConcurrentQueueConnectorInstanceHandler<E extends ConnectorHandler>

    java.lang.Object
      com.sun.grizzly.ConnectorInstanceHandler.ConcurrentQueueConnectorInstanceHandler<E>

All Implemented Interfaces:
  ConnectorInstanceHandler<E>

Direct Known Subclasses:
  ConnectorInstanceHandler.ConcurrentQueueDelegateCIH

Enclosing interface:
  ConnectorInstanceHandler<E extends ConnectorHandler>

    public abstract static class ConnectorInstanceHandler.ConcurrentQueueConnectorInstanceHandler<E extends ConnectorHandler>

extends Object
implements ConnectorInstanceHandler<E>

Concurrent Queue ConnectorInstanceHandler implementation

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.grizzly.ConnectorInstanceHandler
`ConnectorInstanceHandler.ConcurrentQueueConnectorInstanceHandler<E extends ConnectorHandler>, ConnectorInstanceHandler.ConcurrentQueueDelegateCIH<E extends ConnectorHandler>`

Constructor Summary
`ConnectorInstanceHandler.ConcurrentQueueConnectorInstanceHandler()`

Method Summary
`E` `acquire()` Acquire a `ConnectorHandler`
`abstract E` `newInstance()`
`void` `release(E connectorHandler)` Release a `ConnectorHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectorInstanceHandler.ConcurrentQueueConnectorInstanceHandler

    public ConnectorInstanceHandler.ConcurrentQueueConnectorInstanceHandler()

Method Detail

### acquire

    public E acquire()

  Acquire a `ConnectorHandler`

  Specified by:
    `acquire` in interface `ConnectorInstanceHandler<E extends ConnectorHandler>`
  Returns:
    instance of ConnectorHandler

### release

    public void release(E connectorHandler)

  Release a `ConnectorHandler`

  Specified by:
    `release` in interface `ConnectorInstanceHandler<E extends ConnectorHandler>`
  Parameters:
    `connectorHandler` - release connector handler

### newInstance

    public abstract E newInstance()

Copyright © 2008 SUN Microsystems. All Rights Reserved.